%define version	1.9a6
%define release	2mdk

Summary:	Python interface to various crypto algorithms and protocols
Name:		pycrypto
Version:	%{version}
Release:	%{release}
Source0:	http://www.amk.ca/files/python/crypto/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.asc
Patch0:		%{name}-%{version}-64bit.patch.bz2
License:	Public Domain
Group:		Development/Python
URL:		http://www.amk.ca/python/code/crypto.html
BuildRequires:	python-devel >= 2.2
BuildRequires:	gmp-devel
Requires:	python >= 2.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. The current release is 1.9alpha6. Among
the contents of the package:

 * Hash functions: MD2, MD4, RIPEMD.
 * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-
   DES, IDEA, RC5.
 * Stream encryption algorithms: ARC4, simple XOR.
 * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
 * Protocols: All-or-nothing transforms, chaffing/winnowing.
 * Miscellaneous: RFC1751 module for converting 128-key keys into a set
   of English words, primality testing.
 * Some demo programs (currently all quite old and outdated).

%prep
%setup -q
%patch0 -p1 -b .64bit

%build
CFLAGS="%optflags" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README LICENSE README TODO
%{_libdir}/python?.?/site-packages/Crypto

%changelog
* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 1.9a6-2mdk
- Fix directory ownership
- Fix license
- Use vanilla tar.gz for signature verification (Source1)
- Patch0: Search extra library paths for gmp in 64bit arch

* Wed Sep 17 2003 Han Boetes <han@linux-mandrake.com> 1.9a6-1mdk
- initial cooker contrib
- You know this is a pythone-twisted dep!
- Let me add a few more exclamationmarks. !!!!
- Now try ``conch ssh-host-foo'' :)
